%global momorel 3
%global         srcver 0.2.0

%global         qtver 4.6.2
%global         qtrel 1m
%global         cmakever 2.6.4
%global         cmakerel 1m
%global         sourcedir stable/%{name}/%{version}/src

Summary:        VLC backend for Phonon
Name:           phonon-backend-vlc
Version:        %{srcver}
Release:        %{momorel}m%{?dist}
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://phonon.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       phonon
BuildRequires:  automoc4 >= 0.9.86
BuildRequires:  cmake >= %{cmakever}
BuildRequires:  glib2-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  libxcb-devel
BuildRequires:  libxml2-devel
BuildRequires:  phonon-devel
BuildRequires:  pkgconfig
BuildRequires:  qt-devel >= %{qtver}-%{qtrel}
BuildRequires:  xine-lib-devel
BuildRequires:  vlc-devel

%description
Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction layer for
capturing, mixing, processing, and playing audio and video content.

This package contains VLC backend for Phonon.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB
%{_libdir}/kde4/plugins/phonon_backend/phonon_vlc.so
%{_datadir}/kde4/services/phononbackends/vlc.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-3m)
- full rebuild for mo7 release

* Thu Jul 29 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.0-2m)
- add BuildRequires

* Mon Jul 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.0-1m)
- initial build for Momonga Linux